al_get_num_joysticks(3)

NAME

al_get_num_joysticks - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_get_num_joysticks(void)

DESCRIPTION

Return the number of joysticks currently on the system (or potentially on the system). This number can change after al_reconfigure_joysticks(3) is called, in order to support hotplugging.

Returns 0 if there is no joystick driver installed.

SEE ALSO

al_get_joystick(3), al_get_joystick_active(3)